<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://cashWithdrawBrowse.caption"
        focusComponent="transactionHistoriesViewsTable">
    <data readOnly="true">
        <collection id="transactionHistoriesViewsDc"
                    class="com.company.management.entity.TransactionHistoriesView">
            <fetchPlan extends="_base"/>
            <loader id="transactionHistoriesViewsDl">
                <query>
                    <![CDATA[select e from TransactionHistoriesView e
                    where e.transactionCode = :transactionCode1
                    and e.walletCode = :walletCode1
                    and e.accOwner <> :accOwner1
                    and e.accOwner <> :accOwner2
                    and e.statusCode = :statusCode1
                    order by e.createdDate desc]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="transactionHistoriesViewsTable" spacing="true">
        <filter id="filter"
                dataLoader="transactionHistoriesViewsDl">
            <properties include=".*"/>
        </filter>
        <groupTable id="transactionHistoriesViewsTable"
                    width="100%"
                    dataContainer="transactionHistoriesViewsDc" aggregatable="true" aggregationStyle="BOTTOM">
            <actions>
                <action id="excelExport" type="excelExport" caption="msg://Export"/>
            </actions>
            <columns>
                <column id="createdDate" caption="msg://Timestamp"/>
                <column id="reference" caption="msg://Reference ID"/>
                <column id="transaction" caption="msg://Transaction Type"/>
                <column id="accOwner" caption="msg://Account Owner"/>
                <column id="acctNumber" caption="msg://Account Number Owner"/>
                <column id="amount" caption="msg://Amount (RM)">
                    <aggregation type="SUM"/>
                </column>
                <column id="status" caption="msg://Status"/>
            </columns>
            <simplePagination itemsPerPageVisible="true" itemsPerPageDefaultValue="20"/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="transactionHistoriesViewsTableExcelExportBtn"
                        action="transactionHistoriesViewsTable.excelExport"/>
            </buttonsPanel>
        </groupTable>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
